## org.eclipse.emf.cdo.common.id
Class CDOIDUtil

    java.lang.Object
      org.eclipse.emf.cdo.common.id.CDOIDUtil

    public final class CDOIDUtil

extends java.lang.Object

Since:
  2.0

Method Summary
`static CDOIDExternal` `createExternal(java.lang.String uri)`
`static CDOIDExternal` `createExternalTemp(java.lang.String uri)`
`static CDOIDAndVersion` `createIDAndVersion(CDOID id, int version)`
`static CDOID` `createLong(long value)`
`static CDOIDMeta` `createMeta(long value)`
`static CDOIDMetaRange` `createMetaRange(CDOID lowerBound, int count)`
`static CDOIDTemp` `createTempMeta(int value)`
`static CDOIDTemp` `createTempObject(int value)`
`static boolean` `equals(CDOID id1, CDOID id2)`
`static long` `getLong(CDOID id)`
`static boolean` `isNull(CDOID id)`
`static CDOID` `read(java.lang.String uriFragment, CDOIDObjectFactory factory)` Format of the URI fragment.
`static CDOIDLibraryDescriptor` `readLibraryDescriptor(org.eclipse.net4j.util.io.ExtendedDataInput in)`
`static void` `write(java.lang.StringBuilder builder, CDOID id)` Format of the uri fragment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isNull

    public static boolean isNull(CDOID id)

  Since:
    2.0

### getLong

    public static long getLong(CDOID id)

### createTempMeta

    public static CDOIDTemp createTempMeta(int value)

### createTempObject

    public static CDOIDTemp createTempObject(int value)

### createExternal

    public static CDOIDExternal createExternal(java.lang.String uri)

  Since:
    2.0

### createExternalTemp

    public static CDOIDExternal createExternalTemp(java.lang.String uri)

  Since:
    2.0

### createLong

    public static CDOID createLong(long value)

### read

    public static CDOID read(java.lang.String uriFragment,
                             CDOIDObjectFactory factory)

  Format of the URI fragment.

  Non-legacy: `<ID TYPE>/<CUSTOM STRING FROM OBJECT FACTORY>`

  Legacy: `<ID TYPE>/<PACKAGE URI>/<CLASSIFIER ID>/<CUSTOM STRING FROM OBJECT FACTORY>`

  Since:
    2.0

### write

    public static void write(java.lang.StringBuilder builder,
                             CDOID id)

  Format of the uri fragment.

  Non-legacy: `<ID TYPE>/<CUSTOM STRING FROM OBJECT FACTORY>`

  Legacy: `<ID TYPE>/<PACKAGE URI>/<CLASSIFIER ID>/<CUSTOM STRING FROM OBJECT FACTORY>`

  Since:
    2.0

### createMeta

    public static CDOIDMeta createMeta(long value)

### createMetaRange

    public static CDOIDMetaRange createMetaRange(CDOID lowerBound,
                                                 int count)

### readLibraryDescriptor

    public static CDOIDLibraryDescriptor readLibraryDescriptor(org.eclipse.net4j.util.io.ExtendedDataInput in)
                                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### createIDAndVersion

    public static CDOIDAndVersion createIDAndVersion(CDOID id,
                                                     int version)

### equals

    public static boolean equals(CDOID id1,
                                 CDOID id2)

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.